function [guihand,edmulti,contbut,quitbut]=...
                pmnshow(smat,guihand,edmulti,contbut,quitbut);
% PMNSHOW
% -------
%          Function utilizing MATLAB's GUI-facilities for presenting
%          slide shows
%
% Programmed by: Magnus Norgaard, IAU/IMM, Technical University of Denmark
% LastEditDate: July 17, 1996.
if nargin<=1,
  guihand=gcf;
  smat=' ';

  edmulti = uicontrol(...
     'BackgroundColor','blue',...
     'ForegroundColor','white',...
     'Style','edit',...
     'String',smat,...
     'Position',[ 0.04 0.05 0.7 0.4 ],...
     'Units','normalized',... 
     'Max',2);

  fram =  uicontrol(...
	'BackgroundColor','blue',... 
	'Style','frame',...
	'Position',[ 0.77 0.05 0.2 0.4 ],...
	'Units','normalized'); 

  contbut = uicontrol(...
	'Position',[ 0.8 0.30 0.15 0.09 ],... 
	'String','CONTINUE',... 
	'Style','pushbutton',... 
	'Units','normalized',...
	'CallBack','contpress=1;');
	

   quitbut = uicontrol(... 
	'CallBack','',... 
	'Position',[ 0.8 0.10 0.15 0.09 ],... 
	'String','QUIT',... 
	'Style','pushbutton',...
	'CallBack','StopDemo=1;',...
	'Units','normalized');
	
  set(gcf,'NumberTitle','off');

else
   set(edmulti,'String',smat);
   contpress=0;
   set(quitbut,'Enable','on');
   set(contbut,'Enable','on');
   drawnow;
   waitforbuttonpress;
   drawnow
   set(quitbut,'Enable','off');
   set(contbut,'Enable','off');
   drawnow;
   pause(0.01);
end


